import postcss, { AcceptedPlugin } from 'postcss';
import { I as IProcessOptions, B as BaseContext } from './shared/css-to-tailwindcss-plugin.52f54486.cjs';
import '@babel/generator';
import 'sass';
import 'tailwindcss';
import 'postcss-import';
import 'tailwindcss/types/config';

declare function createContext(opts?: IProcessOptions): {
    ctx: BaseContext;
    getPluginsSync(): AcceptedPlugin[];
    getPlugins(): Promise<AcceptedPlugin[]>;
    process(entry: string): Promise<postcss.Result<postcss.Root>>;
    processSync(entry: string): postcss.Result<postcss.Document | postcss.Root>;
    processString(rawCss: string): Promise<postcss.Result<postcss.Root>>;
    generate: () => string;
};
type IContext = ReturnType<typeof createContext>;

export { type IContext, createContext };
